// AZJIO, 03.09.2019
// Description(1033): Highlight text using regex
// Description(1049): Подсветить текст используя регулярное выражение.
//
// Usage:
//   Call("Scripts::Main", 1, "SetHighLight.js")


if (! AkelPad.Include("InputBox_function.js")) WScript.Quit();

var hMainWnd = AkelPad.GetMainWnd();

var sLng=AkelPad.GetLangId(0 /*LANGID_FULL*/);
if (sLng==1049) // Русский
{
  var vLabel = ["Регулярное выражение:", "Цвет текста (0 - игнор):", "Цвет фона (0 - игнор):"];
}
else // English
{
  var vLabel = ["Regular expression", "Text color (0 - ignore)", "Background color (0 - ignore)"];
}

var vRetVal = InputBox(
  hMainWnd,
  "SetHighLight",
  vLabel,
  ["[a-z]+", "#FFFFFF", "#F54E52"]);
if (vRetVal == undefined)
  WScript.Quit();

AkelPad.Call("Coder::HighLight", 2, vRetVal[1], vRetVal[2], 2, 0, -1, vRetVal[0]);